Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004429OCaml~DO NOT USE (was: OCaml general)public2007-10-23 21:532007-10-29 04:21
Reportermuelleru 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.0 
Target VersionFixed in Version3.10+dev 
Summary0004429: caml-font.el: make hook for font-lock a proper function
DescriptionThe hook function for Emacs font-locking in caml-mode currently is a lambda expression only, which means that it cannot be autoloaded. Please consider to define it as a proper function (analog to inferior-caml-mode-font-hook).

See attached patch.
TagsNo tags attached.
Attached Filespatch file icon caml-font.patch [^] (1,226 bytes) 2007-10-23 21:53 [Show Content]

- Relationships

-  Notes
(0004213)
garrigue (manager)
2007-10-29 04:21

This seems a good idea.
Applied the attached patch in branch release310.

- Issue History
Date Modified Username Field Change
2007-10-23 21:53 muelleru New Issue
2007-10-23 21:53 muelleru File Added: caml-font.patch
2007-10-29 04:21 garrigue Status new => closed
2007-10-29 04:21 garrigue Note Added: 0004213
2007-10-29 04:21 garrigue Resolution open => fixed
2007-10-29 04:21 garrigue Fixed in Version => 3.10+dev
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker